<?
session_start();
require('../valtiempoinact.php');
require("../conectar.php");
$nom=$_POST["nomb"];
$apa=$_POST["apat"];
$ama=$_POST["amat"];
$tod=$_POST["todos"];
$act=$_POST["act"];
$inact=$_POST["inact"];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
     <head>
	 <title>:.Buscar Socios.:</title>
	  <script type="text/javascript" src="js/vtip.js"></script>
      <style>
	 p#vtip { display: none; position: absolute; padding: 5px; left: 5px; font-size: 1em; background-color: #83C023; border: 1px solid #83C023; -moz-border-radius: 5px; -webkit-border-radius: 5px; z-index: 9999;color:#000000;font-family:arial;font-size:11px;}
p#vtip #vtipArrow { position: absolute; top: -10px; left: 5px;}
.vtip{cursor:pointer;}			   
	  </style>
     </head>
	 <body>
	 <?
	     if($nom=="" && $apa=="" && $ama=="" && $tod=="no"){echo "";}else{
		 if($tod=="si"){$tit="Activos";}
		 if($act=="act"){$tit="Activos";}
		 if($inact=="act"){$tit="Inactivos";}
	 ?>
	     <table class="datos" width="850">
		     <tr>
		         <td colspan="12" align="center" class="tl">
				     <b>Socios <?echo $tit;?></b>
				 </td>
		     </tr>
		     <tr class="trsb">
			     <td align="center">No</td>
				 <td align="center">F. Ingreso</td>
			     <td align="center">Nombre</td>
			     <td align="center">Apellido paterno</td>
			     <td align="center">Apellido materno</td>
			     <td align="center">e-mail</td>
				 <td align="center">Fecha baja</td>
			     <td align="center">Modificar</td>
			     <td align="center">Baja</td>
				 <td align="center">Expediente</td>
				 <td align="center">Bitacora</td>
				 <td align="center">Validar</td>
		     </tr>
			 <?
			  $empleado=mysql_query("select id_empleado,puesto from empleados where id_empleado='$_SESSION[usuario_id]'",$db_conexion);
				if($re=mysql_fetch_array($empleado))
				  {
					$id_empleado=$re['id_empleado'];
					$su_puesto=$re['puesto'];
				 }
				 if($su_puesto==3){$cnx="and gerente='$id_empleado' || coordinador='$id_empleado'";}
				 if($su_puesto==4){$cnx="and coordinador='$id_empleado'";}
				 if($su_puesto==5){$cnx="and id_empleado='$id_empleado'";}
				 if($su_puesto==6){$cnx="and gerente='$id_empleado'";}
				 
				 if($act=="act"){$a="and fechabaja='0000-00-00'";}
				 if($inact=="act"){$i="and fechabaja<>'0000-00-00'";}
			     if($nom!="" or ($nom!="" && $act=="act") or ($nom!="" && $inact=="act")){
				     $no="nombre LIKE '%$nom%' $cnx $a $i";			 
				 }
				 if($apa!="" or ($apa!="" && $act=="act") or ($apa!="" && $inact=="act")){
				     if($nom!=""){$and=" AND";$a="";$i="";}
				     $ap="$and a_pat LIKE '%$apa%' $cnx $a $i";
				 }
				 if($ama!="" or ($ama!="" && $act=="act") or ($ama!="" && $inact=="act")){
				     if($nom!=""||$apa!=""){$and="AND";$a="";$i="";}
				     $am="$and a_mat LIKE '%$ama%' $cnx $a $i";				 
				 }
				 $cond="$no $ap $am";
				 if($tod=="si"){$cond="1=1 $cnx and fechabaja='0000-00-00'";}
			     $sql="SELECT id_empleado, nombre, a_pat, a_mat, email,fechabaja,fecha_ingreso FROM empleados WHERE $cond ORDER BY nombre,a_pat,a_mat ";
				 $con=mysql_query($sql);
				 $nr=mysql_num_rows($con);
				 if($nr!=0){
				 $c="";
				 $i=1;
				 while($ls=mysql_fetch_array($con)){
				    $sqlexp="select * from expedientes where IdEmpleado='$ls[id_empleado]'";
					$eje=mysql_query($sqlexp);
					$reg=mysql_fetch_object($eje);
					if($reg->ife!="" && $reg->rfc!="" && $reg->ContratoBan!="" && $reg->ComEstudios!="" && $reg->ComDomicilio!="" && $reg->contrato!=""&& $reg->curp!=""&& $reg->actnac!=""&& $reg->sol_curri!=""){
					  $imagen="<img src='img/ok.png' width='15' height='15' title='Expediente' class='vtip' border='0'>";
					  $exp="subirexp.php";
					}else{
					 $imagen="<img src='img/nook.png' width='15' height='15' title='Sin exp' class='vtip' border='0'>";
					 $exp="subirexp.php";
					}
					if($ls["fechabaja"]=='0000-00-00'){$status="Activo";}
					if($ls["fechabaja"]=='1111-11-11'){$status="Sin validar Exp";}
					if($ls["fechabaja"]!='1111-11-11' && $ls["fechabaja"]!='0000-00-00'){$status=$ls["fechabaja"];}
				  ?>
				     <tr class="tr<?echo $c?>" id="fila<?echo $i;?>" align="false" onclick="javascript:select(this.id);">
					     <td><?echo $i;?></td>
						 <td><?echo $ls["fecha_ingreso"];?></td>
					     <td><?echo htmlentities($ls["nombre"]);?></td>
					     <td><?echo htmlentities($ls["a_pat"]);?></td>
					     <td><?echo htmlentities($ls["a_mat"]);?></td>
						 <td><?echo htmlentities($ls["email"]);?></td>
						 <td><?echo $status;?></td>
					     <td align="center"><a href="empleados_modificar.php?id=<?echo $ls['id_empleado'];?>" target="_blank" onclick="window.open(this.href, this.target, 'scrollbars=yes'); return false;"><img src="images/mod.png" border="0" width="15" height="15" title="Modificar datos"class='vtip'></a></td>
					     <td align="center"><a href="empleados_eliminar.php?id=<?echo $ls['id_empleado'];?>" onclick="window.open(this.href, this.target, 'scrollbars=yes'); return false;"><img src="images/borrar.png" border="0" width="15" height="15" title="Baja empleado" class='vtip'></a></td>
						 <td align="center" NOWRAP><a href="subirexp.php?idemp=<?echo $ls['id_empleado'];?>" onclick="window.open(this.href, this.target, 'scrollbars=yes'); return false;">Subir</a></td>
						 <td align="center" NOWRAP><a href="bitmovimiento.php?idemp=<?echo $ls['id_empleado'];?>" onclick="window.open(this.href, this.target, 'scrollbars=yes'); return false;"><img src="images/zoom.png" border="0" width="15" height="15" title="Bitacora de Movimientos" class='vtip'></a></td>
						 <td align="center" NOWRAP><font size="1"><a href="solicitudemp.php?id=<? echo $ls['id_empleado']; ?>" onClick="window.open(this.href, this.target, 'scrollbars=yes,menubar=yes'); return false;"><img src="images/impresora.jpg" border="0" width="16" height="16"></a></font></td>
				     </tr>
				  <?
				     if($c==""){$c="1";}else{$c="";}
					 $i++;
				 }
			 }else{
				     ?>
					 <tr class="tr">
					     <td colspan="12" align="center">No se encontraron registros que coincidan con la busqueda</td>
					 </tr>
					 <?
				 }
				 if($tod=="si"){
				 for($k=1;$k<=2;$k++){
				    if($k==1){$ti="Dados de Baja";}
					if($k==2){$ti="Sin Validar";}
			 ?>
		     <tr>
		         <td colspan="12" align="center" class="tl">
				     <b>Socios <?echo$ti;?></b>
				 </td>
		     </tr>
		     <tr class="trsb">
			     <td align="center">No</td>
				 <td align="center">F. Ingreso</td>
			     <td align="center">Nombre</td>
			     <td align="center">Apellido paterno</td>
			     <td align="center">Apellido materno</td>
			     <td align="center">e-mail</td>
				 <td align="center">Fecha baja</td>
			     <td align="center">Modificar</td>
			     <td align="center">Baja</td>
				 <td align="center">Expediente</td>
				 <td align="center">Bitacora</td>
				 <td align="center">Validar</td>
		     </tr>
			 <?
				 if($tod=="si" && $k==1){$cond="fechabaja<>'0000-00-00' and fechabaja<>'1111-11-11' $cnx";$fil="filab";}
				 if($tod=="si" && $k==2){$cond="fechabaja='1111-11-11' $cnx";$fil="filasv";}
			     $sql="SELECT id_empleado, nombre, a_pat, a_mat, email,fechabaja,fecha_ingreso FROM empleados WHERE $cond ORDER BY nombre,a_pat,a_mat ";
				 $con=mysql_query($sql);
				 $nr=mysql_num_rows($con);
				 if($nr!=0){
				 $d="";
				 $j=1;
				 while($ls=mysql_fetch_array($con)){
				    $sqlexp="select * from expedientes where IdEmpleado='$ls[id_empleado]'";
					$eje=mysql_query($sqlexp);
					$reg=mysql_fetch_object($eje);
					if($reg->ife!="" && $reg->rfc!="" && $reg->ContratoBan!="" && $reg->ComEstudios!="" && $reg->ComDomicilio!="" && $reg->contrato!=""&& $reg->curp!=""&& $reg->actnac!=""&& $reg->sol_curri!=""){
					  $imagen="<img src='img/ok.png' width='15' height='15' title='Expediente' class='vtip' border='0'>";
					  $exp="subirexp.php";
					}else{
					 $imagen="<img src='img/nook.png' width='15' height='15' title='Sin exp' class='vtip' border='0'>";
					 $exp="subirexp.php";
					}
					if($ls["fechabaja"]=='0000-00-00'){$status="Activo";}
					if($ls["fechabaja"]=='1111-11-11'){$status="Sin validar Exp";}
					if($ls["fechabaja"]!='1111-11-11' && $ls["fechabaja"]!='0000-00-00'){$status=$ls["fechabaja"];}
				  ?>
				     <tr class="tr<?echo $d?>" id="<?echo $fil.$j;?>" align="false" onclick="javascript:select(this.id);">
					     <td><?echo $j;?></td>
						 <td><?echo $ls["fecha_ingreso"];?></td>
					     <td><?echo htmlentities($ls["nombre"]);?></td>
					     <td><?echo htmlentities($ls["a_pat"]);?></td>
					     <td><?echo htmlentities($ls["a_mat"]);?></td>
						 <td><?echo htmlentities($ls["email"]);?></td>
						 <td><?echo $status;?></td>
					     <td align="center"><a href="empleados_modificar.php?id=<?echo $ls['id_empleado'];?>" target="_blank" onclick="window.open(this.href, this.target, 'scrollbars=yes'); return false;"><img src="images/mod.png" border="0" width="15" height="15" title="Modificar datos"class='vtip'></a></td>
					     <td align="center"><a href="empleados_eliminar.php?id=<?echo $ls['id_empleado'];?>" onclick="window.open(this.href, this.target, 'scrollbars=yes'); return false;"><img src="images/borrar.png" border="0" width="15" height="15" title="Baja empleado" class='vtip'></a></td>
						 <td align="center" NOWRAP><a href="subirexp.php?idemp=<?echo $ls['id_empleado'];?>" onclick="window.open(this.href, this.target, 'scrollbars=yes'); return false;">Subir</a></td>
						 <td align="center" NOWRAP><a href="bitmovimiento.php?idemp=<?echo $ls['id_empleado'];?>" onclick="window.open(this.href, this.target, 'scrollbars=yes'); return false;"><img src="images/zoom.png" border="0" width="15" height="15" title="Bitacora de Movimientos" class='vtip'></a></td>
						 <td align="center" NOWRAP><font size="1"><a href="solicitudemp.php?id=<? echo $ls['id_empleado']; ?>" onClick="window.open(this.href, this.target, 'scrollbars=yes,menubar=yes'); return false;"><img src="images/impresora.jpg" border="0" width="16" height="16"></a></font></td>
				     </tr>
				  <?
				     if($d==""){$d="1";}else{$d="";}
					 $j++;
				 }
			 }else{
				     ?>
					 <tr class="tr">
					     <td colspan="12" align="center">No se encontraron registros que coincidan con la busqueda</td>
					 </tr>
					 <?
				 }
				 }
				 }
				 ?>
	     </table>
		 <?
		}
		 ?>
	 </body>
	 <script>
	     $(".loading").fadeOut('fast');
	 </script>
</html>